<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Notification extends Model
{
    use HasFactory;
    protected $table = 'notifications';
    public $timestamps = true;

    protected $fillable = ['user_id', 'follows_project_id', 'message', 'is_read'];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function follow()
    {
        return $this->belongsTo(Follow::class);
    }

    public function permohonanproject()
    {
        return $this->belongsTo(permohonanProject::class);
    }
}
